kdesu for kde4

Cesare Tirabassi norsetto at ubuntu.com
Sun Sep 7 09:52:10 BST 2008


A quickie for all Kubunteros out there.
I read that /usr/bin/kdesu in kde4 is obsoleted.
For Intrepid, should applications that rely on it be patched to rely 
on /usr/lib/kde4/libexec/kdesu or on /usr/bin/kdesudo or is there some 
mechanism in place that won't break backward compatibility?
Will existing su-to-root (that uses /usr/lib/kde4/libexec/kdesu) work or will 
it need patching for Ubuntu?
Existing docs I could find on the subject are not very clear:

LP bugs: 179495, 184491, 197404
http://kubuntuforums.net/forums/index.php?action=printpage;topic=3095801.0
https://wiki.ubuntu.com/HaraldSitter/KdeFour/KdeSudo

Cesare



More information about the kubuntu-devel mailing list